# Administration Reference

## fs listquota

Purpose

Displays quota information for the volume containing a file or directory.

Synopsis

    fs listquota [-path <dir/file path>+]  [-help]

    fs listq [-p <dir/file path>+]  [-h]

    fs lq [-p <dir/file path>+]  [-h]

Description

The fs listquota command displays information about the volume containing each specified directory or file (its name, quota, and amount of disk space used), along with an indicator of the percentage of space used on the host partition.

To display more information about the host partition, use the fs examine command.

To set volume quota, use the fs setquota or fs setvol command.

Options

-path
  Names a file or directory that resides in the volume about which to produce output. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output displays information about the volume that houses each specified directory or file, in a tabular format that uses the following headers:

`Volume Name`
  The name of the volume.

`Quota`
  The volume's quota in kilobytes, or the string `no limit` to indicate an unlimited quota.

`Used`
  The number of kilobytes of quota used.

`% Used`
  The percentage of the volume's quota that is used (the `Used` statistic divided by the `Quota` statistic, times 100).

`Partition`
  The percentage of space used on the partition that houses the volume. Although not directly related to how much of the user's quota is used, it is reported because a full partition can cause writing of data back to the volume to fail even when the volume has not reached its quota.

Examples

The following example shows the output for the volume user.smith:

       % fs listquota -path /afs/abc.com/usr/smith
       Volume Name     Quota    Used    % Used   Partition
       user.smith      15000    5071       34%         86%

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs diskfree

fs examine

fs quota

fs setquota

fs setvol

© IBM Corporation 2000. All Rights Reserved